
_interrupt:

;knightRider.c,52 :: 		void interrupt() {
;knightRider.c,53 :: 		playAnimation(&animB);
	MOVLW       knightRider_animB+0
	MOVWF       FARG_playAnimation_pAnim+0 
	MOVLW       hi_addr(knightRider_animB+0)
	MOVWF       FARG_playAnimation_pAnim+1 
	CALL        _playAnimation+0, 0
;knightRider.c,54 :: 		TMR0H = 0xF9;    // preset for Timer0 MSB register
	MOVLW       249
	MOVWF       TMR0H+0 
;knightRider.c,55 :: 		TMR0L = 0xC0;    // preset for Timer0 LSB register
	MOVLW       192
	MOVWF       TMR0L+0 
;knightRider.c,56 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;knightRider.c,57 :: 		}
L_end_interrupt:
L__interrupt3:
	RETFIE      1
; end of _interrupt

_main:

;knightRider.c,61 :: 		void main() {
;knightRider.c,64 :: 		ANSELB = 0;                    // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;knightRider.c,65 :: 		ANSELC = 0;                    // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;knightRider.c,66 :: 		ANSELD = 0;                    // Configure PORTD pins as digital
	CLRF        ANSELD+0 
;knightRider.c,67 :: 		TRISB = 0;                     // Configure PORTB as output
	CLRF        TRISB+0 
;knightRider.c,68 :: 		TRISC = 0;                     // Configure PORTC as output
	CLRF        TRISC+0 
;knightRider.c,69 :: 		TRISD = 0;                     // Configure PORTD as output
	CLRF        TRISD+0 
;knightRider.c,70 :: 		LATB = 0;                      // Clear PORTB
	CLRF        LATB+0 
;knightRider.c,71 :: 		LATC = 0;                      // Clear PORTC
	CLRF        LATC+0 
;knightRider.c,72 :: 		LATD = 0;                      // Clear PORTD
	CLRF        LATD+0 
;knightRider.c,74 :: 		intSteps = createSchedule(5, 0);
	MOVLW       5
	MOVWF       FARG_createSchedule_uintInc+0 
	MOVLW       0
	MOVWF       FARG_createSchedule_uintInc+1 
	CLRF        FARG_createSchedule_uintRepeat+0 
	CLRF        FARG_createSchedule_uintRepeat+1 
	CALL        _createSchedule+0, 0
	MOVF        R0, 0 
	MOVWF       main_intSteps_L0+0 
	MOVF        R1, 0 
	MOVWF       main_intSteps_L0+1 
;knightRider.c,76 :: 		initAnim(&animB, intSteps);
	MOVLW       knightRider_animB+0
	MOVWF       FARG_initAnim_pAnim+0 
	MOVLW       hi_addr(knightRider_animB+0)
	MOVWF       FARG_initAnim_pAnim+1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       FARG_initAnim_intSteps+0 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       FARG_initAnim_intSteps+1 
	CALL        _initAnim+0, 0
;knightRider.c,77 :: 		initAnim(&animC, intSteps);
	MOVLW       knightRider_animC+0
	MOVWF       FARG_initAnim_pAnim+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_initAnim_pAnim+1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       FARG_initAnim_intSteps+0 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       FARG_initAnim_intSteps+1 
	CALL        _initAnim+0, 0
;knightRider.c,78 :: 		initAnim(&animD, intSteps);
	MOVLW       knightRider_animD+0
	MOVWF       FARG_initAnim_pAnim+0 
	MOVLW       hi_addr(knightRider_animD+0)
	MOVWF       FARG_initAnim_pAnim+1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       FARG_initAnim_intSteps+0 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       FARG_initAnim_intSteps+1 
	CALL        _initAnim+0, 0
;knightRider.c,80 :: 		joinAnims(&animB, &animC);
	MOVLW       knightRider_animB+0
	MOVWF       FARG_joinAnims_pDst+0 
	MOVLW       hi_addr(knightRider_animB+0)
	MOVWF       FARG_joinAnims_pDst+1 
	MOVLW       knightRider_animC+0
	MOVWF       FARG_joinAnims_pSrc+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_joinAnims_pSrc+1 
	CALL        _joinAnims+0, 0
;knightRider.c,81 :: 		joinAnims(&animB, &animD);
	MOVLW       knightRider_animB+0
	MOVWF       FARG_joinAnims_pDst+0 
	MOVLW       hi_addr(knightRider_animB+0)
	MOVWF       FARG_joinAnims_pDst+1 
	MOVLW       knightRider_animD+0
	MOVWF       FARG_joinAnims_pSrc+0 
	MOVLW       hi_addr(knightRider_animD+0)
	MOVWF       FARG_joinAnims_pSrc+1 
	CALL        _joinAnims+0, 0
;knightRider.c,84 :: 		T0CON.TMR0ON = 1;// On/Off Control bit, 1=Enable, 0=Disable
	BSF         T0CON+0, 7 
;knightRider.c,85 :: 		T0CON.T08BIT = 0;// 8-bit/16-bit Control bi: 0=16-bit timer/counter
	BCF         T0CON+0, 6 
;knightRider.c,86 :: 		T0CON.T0CS   = 0;// Clock Source Select bit: 0=Internal Clock (CLKO)
	BCF         T0CON+0, 5 
;knightRider.c,87 :: 		T0CON.T0SE   = 0;// Source Edge Select bit: 0=low/high
	BCF         T0CON+0, 4 
;knightRider.c,88 :: 		T0CON.PSA    = 1;// Prescaler Assignment bit: 1=NOT assigned/bypassed
	BSF         T0CON+0, 3 
;knightRider.c,89 :: 		T0CON.T0PS2  = 0;// bits 2-0  PS2:PS0: Prescaler Select bits
	BCF         T0CON+0, 2 
;knightRider.c,90 :: 		T0CON.T0PS1  = 0;
	BCF         T0CON+0, 1 
;knightRider.c,91 :: 		T0CON.T0PS0  = 0;
	BCF         T0CON+0, 0 
;knightRider.c,93 :: 		TMR0H = 0xF9;    // preset for Timer0 MSB register
	MOVLW       249
	MOVWF       TMR0H+0 
;knightRider.c,94 :: 		TMR0L = 0xC0;    // preset for Timer0 LSB register
	MOVLW       192
	MOVWF       TMR0L+0 
;knightRider.c,95 :: 		TMR0IE_bit = 1;
	BSF         TMR0IE_bit+0, 5 
;knightRider.c,97 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, 7 
;knightRider.c,99 :: 		while( 1 ) {
L_main0:
;knightRider.c,101 :: 		}
	GOTO        L_main0
;knightRider.c,102 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
